gmod_src: Added Couldn't Connect HTTP error

Revision 624
Added Couldn’t Connect HTTP error
Moved hap_HasDevice ConVar so it’s defined on the mac (prevents console spam) Changed Files:
[ul]
[li]trunk/src_garrysmod/garrysmod/garrysmod.cpp [/li][li]trunk/src_garrysmod/garrysmod/http-connection.cpp [/li][li]trunk/src_garrysmod/public/haptics/haptic_utils.cpp[/li][/ul]

Committed By Garry Newman